Bug 842424 (CVE-2012-3570)

Summary: CVE-2012-3570 dhcp: DoS in DHCPv6 due to error in handling malformed client identifiers
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jpopelka, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120724,reported=20120723,source=upstream,cvss2=3.3/AV:A/AC:L/Au:N/C:N/I:N/A:P,fedora-all/dhcp=affected,rhel-6/dhcp=notaffected,rhel-5/dhcp=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 842892    
Bug Blocks: 842431    

Description Vincent Danen 2012-07-23 16:25:54 EDT
An unexpected client identifier parameter can cause the ISC DHCP daemon to
segmentation fault when running in DHCPv6 mode, resulting in a denial of
service to further client requests. In order to exploit this condition, an
attacker must be able to send requests to the DHCP server.

ISC DHCP versions 4.2.x are vulnerable to this flaw; earlier versions are not affected.

Acknowledgements:

Upstream acknowledges Markus Hietava of Codenomicon CROSS project as the original reporter of this issue.
Comment 2 Vincent Danen 2012-07-23 16:33:15 EDT
Statement:

Not vulnerable. This issue did not affect the versions of dhcp as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Vincent Danen 2012-07-24 16:35:01 EDT
This is now public:

https://kb.isc.org/article/AA-00714
Comment 4 Vincent Danen 2012-07-24 16:37:26 EDT
Created dhcp tracking bugs for this issue

Affects: fedora-all [bug 842892]
Comment 5 Fedora Update System 2012-08-01 14:28:05 EDT
dhcp-4.2.4-9.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-08-06 03:50:28 EDT
dhcp-4.2.3-11.P2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.